Name:          nota
Version:       4.0.0
Release:       1%{?dist}
License:       LGPL-3.0-only
Summary:       Nota is a simple text editor for desktop and mobile computers.
URL:           https://apps.kde.org/%{name}/

Source0:       https://invent.kde.org/maui/%{name}/-/archive/v4.0.0/%{name}-v%{version}.tar.gz

BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: kf6-rpm-macros
BuildRequires: libappstream-glib
BuildRequires: desktop-file-utils

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(MauiKit4)
BuildRequires: cmake(MauiKitFileBrowsing4)
BuildRequires: cmake(MauiKitDocuments4)
BuildRequires: cmake(MauiKitTextEditor4)
BuildRequires: cmake(MauiKitTerminal4)

Requires:      hicolor-icon-theme
Requires:      maui-mauikit-filebrowsing
Requires:      maui-mauikit-terminal
Requires:      maui-mauikit-documents

%description
%{summary}


%prep
%autosetup -n %{name}-v%{version}


%build
%cmake_kf6
%cmake_build


%install
%cmake_install
%find_lang nota --with-man --with-qt --all-name

%check
ls -a
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/nota
%{_kf6_datadir}/applications/org.kde.nota.desktop
%{_kf6_datadir}/icons/hicolor/scalable/apps/nota.svg
%{_metainfodir}/org.kde.nota.metainfo.xml

%changelog
* Tue Nov 12 2024 Vinícius Daros <viniciush.dev@gmail.com> - 4.0.0-1
- 4.0.0
